import React, { useState, useCallback } from 'react';
import ReactDOM from 'react-dom';
//import { arc } from 'd3';

//console.log(arc);
const width = 960;
const height = 500;
const circleRadius = 60;
const strokeWidth = 6;
const initialMousePosition = { x: width / 2, y: height / 2 }


const App = () => {
  const [mousePos, setMousePos] = useState(initialMousePosition);

  const handleMouseMove = useCallback(event => {
    const { clientX, clientY } = event;
    setMousePos({ x: clientX, y: clientY });
  }, [setMousePos]);
                                           
  return (
    <svg width={width} height={height} onMouseMove={handleMouseMove}>
        <circle
          cx={mousePos.x}
          cy={mousePos.y}
          r={circleRadius}
          fill="white"
          stroke="black"
          stroke-width={strokeWidth}
        />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);